package no.f12.web.view;

import no.f12.web.view.pages.FrontPage;

import org.junit.Test;

public class FrontPageWebTest extends AbstractWebTest {

	@Test
	public void shouldDisplayWelcomeMessage() {
		FrontPage frontPage = new FrontPage(getDriver(), getApplicationUrl());
		frontPage.goTo();

		frontPage.assertText("Hello World!");
	}

	@Test
	public void shouldApplySitemeshDecorator() {
		FrontPage frontPage = new FrontPage(getDriver(), getApplicationUrl());
		frontPage.goTo();
		
		frontPage.assertText("Sitemesh decorator");
	}

}
